<?php

namespace Ctb\Util;

use \Teknisa\Libs\Util\Configuration;
use \Zeedhi\Framework\DataSource\Manager\Doctrine\NameProvider;

class NameProviderImpl implements NameProvider {

    public function getClassName($tableName) {}

    public function getDataSourceByName($dataSourceName) {
        $dataSourcesSubModels = $this->getDataSources();
        $dataSourceDirectory = $dataSourcesSubModels[$dataSourceName];
        return Configuration::factoryFromFileLocation($dataSourceDirectory, $dataSourceName);
    }

    private function getDataSources() {
        $ds = DIRECTORY_SEPARATOR;
        $ctbDataSources = $this->getCtbDataSources($ds);
        return $ctbDataSources;
    }

    private function getCtbDataSources($ds) {
        $dataSources = file_get_contents(__DIR__.$ds.'..'.$ds.'..'.$ds.'..'.$ds.'config'.$ds.'dataSourcesMapping.json');
        return json_decode($dataSources, true);
    }
}