<?php
namespace Teknisa\CTB\Modules\Saldos\Factories;

use Doctrine\ORM\EntityManager;
use Zeedhi\Framework\DB\StoredProcedure\Param;
use Zeedhi\Framework\DB\StoredProcedure\StoredProcedure;

class Ctb22100RazaoGerencialFactory {
    
    protected $entityManager;

    public function __construct(EntityManager $entityManager) {
        $this->entityManager = $entityManager;
    }

    public function execProcGeraRazaoGerTemp(
        $cdempresa, $datainic, $datafin, $nrctbtemp, $cdregional, $cdfilial, $cdcentcust, $cdcontini, $cdcontfin
    ){
        $procedure = new StoredProcedure($this->entityManager->getConnection(), 'GERA_RAZAOGER_TEMP_2');
        $procedure->addParam(new Param('P_CDEMPRESA'  , Param::PARAM_INPUT , $cdempresa  , Param::PARAM_TYPE_STR));
        $procedure->addParam(new Param('P_DATAINIC'   , Param::PARAM_INPUT , $datainic   , Param::PARAM_TYPE_STR));
        $procedure->addParam(new Param('P_DATAFIM'    , Param::PARAM_INPUT , $datafin    , Param::PARAM_TYPE_STR));
        $procedure->addParam(new Param('P_NRCTBTEMP'  , Param::PARAM_INPUT , $nrctbtemp  , Param::PARAM_TYPE_STR));
        $procedure->addParam(new Param('P_CDREGIONAL' , Param::PARAM_INPUT , $cdregional , Param::PARAM_TYPE_STR));
        $procedure->addParam(new Param('P_CDFILIAL'   , Param::PARAM_INPUT , $cdfilial   , Param::PARAM_TYPE_STR));
        $procedure->addParam(new Param('P_CDCENTCUST' , Param::PARAM_INPUT , $cdcentcust , Param::PARAM_TYPE_STR));
        $procedure->addParam(new Param('P_CDCONTINI'  , Param::PARAM_INPUT , $cdcontini  , Param::PARAM_TYPE_STR));
        $procedure->addParam(new Param('P_CDCONTFIM'  , Param::PARAM_INPUT , $cdcontfin  , Param::PARAM_TYPE_STR));
        $procedure->execute();
    }

}